## Index

### Classes

- Script

### Interfaces

- BaseOptions
- CompileFunctionOptions
- Context
- RunningScriptOptions
- ScriptOptions

### Functions

- compileFunction
- createContext
- isContext
- runInContext
- runInNewContext
- runInThisContext

## Functions

### compileFunction

- compileFunction(code: string, params: string[], options: CompileFunctionOptions): Function

- - Defined in node_modules/@types/node/vm.d.ts:63

  #### Parameters

  - ##### code: string

  - ##### params: string[]

  - ##### options: CompileFunctionOptions

  #### Returns Function

### createContext

- createContext(sandbox?: Context): Context

- - Defined in node_modules/@types/node/vm.d.ts:58

  #### Parameters

  - ##### Optional sandbox: Context

  #### Returns Context

### isContext

- isContext(sandbox: Context): boolean

- - Defined in node_modules/@types/node/vm.d.ts:59

  #### Parameters

  - ##### sandbox: Context

  #### Returns boolean

### runInContext

- runInContext(code: string, contextifiedSandbox: Context, options?: RunningScriptOptions | string): any

- - Defined in node_modules/@types/node/vm.d.ts:60

  #### Parameters

  - ##### code: string

  - ##### contextifiedSandbox: Context

  - ##### Optional options: RunningScriptOptions | string

  #### Returns any

### runInNewContext

- runInNewContext(code: string, sandbox?: Context, options?: RunningScriptOptions | string): any

- - Defined in node_modules/@types/node/vm.d.ts:61

  #### Parameters

  - ##### code: string

  - ##### Optional sandbox: Context

  - ##### Optional options: RunningScriptOptions | string

  #### Returns any

### runInThisContext

- runInThisContext(code: string, options?: RunningScriptOptions | string): any

- - Defined in node_modules/@types/node/vm.d.ts:62

  #### Parameters

  - ##### code: string

  - ##### Optional options: RunningScriptOptions | string

  #### Returns any

Generated using TypeDoc